boost::geometry::strategy::centroid::weighted_length< Point, PointOfSegment >::set_sum_div_length Struct Reference

List of all members.

## Public Member Functions

template<typename Pt , std::size_t Dimension>
void | apply (Pt &centroid) const
| set_sum_div_length (state_type const &state)

## Public Attributes

state_type const & | m_state

### template<typename Point, typename PointOfSegment = Point>
struct boost::geometry::strategy::centroid::weighted_length< Point, PointOfSegment >::set_sum_div_length

## Constructor & Destructor Documentation

template<typename Point , typename PointOfSegment = Point>

boost::geometry::strategy::centroid::weighted_length< Point, PointOfSegment >::set_sum_div_length::set_sum_div_length | ( | state_type const & | state | ) |

## Member Function Documentation

template<typename Point , typename PointOfSegment = Point>
template<typename Pt , std::size_t Dimension>

void boost::geometry::strategy::centroid::weighted_length< Point, PointOfSegment >::set_sum_div_length::apply | ( | Pt & | centroid | ) | const

## Member Data Documentation

template<typename Point , typename PointOfSegment = Point>

state_type const& boost::geometry::strategy::centroid::weighted_length< Point, PointOfSegment >::set_sum_div_length::m_state

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK